require 'test_helper'

class CinnostisControllerTest < ActionController::TestCase
  setup do
    @cinnosti = cinnostis(:one)
  end

  test "should get index" do
    get :index
    assert_response :success
    assert_not_nil assigns(:cinnostis)
  end

  test "should get new" do
    get :new
    assert_response :success
  end

  test "should create cinnosti" do
    assert_difference('Cinnosti.count') do
      post :create, cinnosti: @cinnosti.attributes
    end

    assert_redirected_to cinnosti_path(assigns(:cinnosti))
  end

  test "should show cinnosti" do
    get :show, id: @cinnosti
    assert_response :success
  end

  test "should get edit" do
    get :edit, id: @cinnosti
    assert_response :success
  end

  test "should update cinnosti" do
    put :update, id: @cinnosti, cinnosti: @cinnosti.attributes
    assert_redirected_to cinnosti_path(assigns(:cinnosti))
  end

  test "should destroy cinnosti" do
    assert_difference('Cinnosti.count', -1) do
      delete :destroy, id: @cinnosti
    end

    assert_redirected_to cinnostis_path
  end
end
